[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.ReadOnly

Indicates if modifications are allowed in the grid control.

## Declaration

Source position: dbgrids.pas line 521

`protected property TCustomDBGrid.ReadOnly : Boolean read FReadOnly write FReadOnly default False;`

## Description

ReadOnly is a Boolean property that indicates if modifications are allowed in the grid control. Please note that ReadOnly applies to the visual grid control only. It does not take into account whether Fields in Columns or the DataSet in DataSource allow modifications.